Skip to main content

S2FX

s2fx

Chart: S2FX

Parameters

NameTypeDescriptionRequired
start_datestringStart date in YYYY-MM-DD formatNo
end_datestringEnd date in YYYY-MM-DD formatNo
latestboolIf true, returns the current valueNo

Output

IndexNameTypeDescription
0datestringDate (ISO)
1s2fx_pricestringS2FX price (10d SF)
2s2fx_pricestringS2FX price (463d SF)
3closing_pricestringClosing price
4days_until_halvingstringDays until halving

Example Request

https://charts.bitbo.io/api/v1/s2fx/?start_date=2025-05-07&end_date=2025-05-09

Example Request with Latest

https://charts.bitbo.io/api/v1/s2fx/?latest=true

Code Samples

curl "https://charts.bitbo.io/api/v1/s2fx/?start_date=2025-05-07&end_date=2025-05-09&api_key=YOUR_API_KEY"

Example Output

{
"data": [
[
"2025-05-07",
"4733659",
"2584989",
"97151.387",
1073,
"2028-04-14T21:30:35",
"5777858",
"5499834",
"117.57",
"116.17"
],
[
"2025-05-08",
"4504165",
"2598188",
"103043.546",
1072,
"2028-04-14T21:30:35",
"5777858",
"5499834",
"117.57",
"116.17"
],
[
"2025-05-09",
"4580133",
"2621466",
"102912.250",
1071,
"2028-04-14T21:30:35",
"5777858",
"5499834",
"117.57",
"116.17"
]
]
}